<div class="container p-5">
  <div class="d-md-flex" *ngIf="artistData$ | async as artist">
    <div class="col-md-4 text-center" [class.visually-hidden]="!pictureLoaded" [@fadeIn]="pictureLoaded">
      <img src="{{artist.picture_big}}" (load)="pictureLoaded = true" class="img-fluid" alt="...">
    </div>
    <div class="w-100 p-3 ms-md-2 bg-light border rounded border-secondary d-flex flex-column justify-content-center">
      <h4 class="font-monospace">{{artist.name}}</h4>
      <div class="flex-fill">
        <div class="d-flex align-items-center">
          <div class="col-4 border-end border-secondary">
            Number of Fans
          </div>
          <div class="ms-2">
            {{artist.nb_fan}}
          </div>
        </div>
        <div class="d-flex align-items-center">
          <div class="col-4 border-end border-secondary">
            Number of Records
          </div>
          <div class="ms-2">
            {{artist.nb_album}}
          </div>
        </div>
      </div>
      <div class="row" *ngIf="trackData$ | async as tracks">
        <div *ngIf="tracks.data" [@staggerIn]="'in'">
          <h4 class="font-monospace mt-2">Top Tracks</h4>
          <ul class="list-group">
            <li class="list-group-item d-flex align-items-center" *ngFor="let track of tracks.data">
              <img src="{{track?.album?.cover_small}}" class="img-thumbnail rounded me-2 d-block" alt="...">
              <span class="fw-light">{{track.title_short}}</span>
              <span class="fw-lighter mx-3">{{track?.release_date | date}}</span>
              <small class="ms-auto"> <fa-icon icon="arrow-up"></fa-icon> {{track.rank}}</small>
            </li>
          </ul>
        </div>
      </div>
    </div>
  </div>
</div>

